Subject: Re: 25.0.50; encode-time not working as expected

From: Paul Eggert <[email-masked]>
Date: Thu, 26 Feb 2015 00:15:52 -0800

Ashish SHUKLA wrote:
> When I looked into this before filing this bug report, from what I noticed
> that it's not using libc's `mktime' function, unlike what you seem to
> indicate. I'm not sure quite why it's doing that when libc provided mktime
> works just fine

It may work for this example, but 'configure' checks for a number of mktime 
bugs, and perhaps mktime is not working for some other examples.

Is 'configure' setting APPLE_UNIVERSAL_BUILD to 1, or to 0?  You can tell by 
looking for APPLE_UNIVERSAL_BUILD in lib/Makefile.

When 'configure' says 'checking for working mktime', what's the result?

If you compile and run the attached program, using the same flags that you use 
to build Emacs, what is its exit status?